BLOGTIMES
2018/11/27

vCSA を 6.7 にアップデート

  esxi 
このエントリーをはてなブックマークに追加

vCSA Installer - vCSA を 6.7 にアップデート
vCSA Upgrade Completed - vCSA を 6.7 にアップデート

VMWare のサブスクリプションの更新の手続きをしていて、今年は vSphere や ESXi のアップデート実施していないことに気づいてしまったので、6.0u2 から 6.7 へのアップデートを実施してみました。

GUI でインタラクティブにアップデートできるはずが・・・

vCSA のアップデートは vCSA のインストーラーを起動し、Upgrade を選択して、必要な情報を入力するだけ*1のはずですが、画像の部分で「A problem occurred while getting data from the source vCenter Server.」というエラーが出て先に進めず困ってしまいました。

エラーログをダウンロードして中身を見てみると、こんな感じになっていました。
どうも vCSA に ssh して date コマンドを実行するところでコケているようです。

2018-11-27T09:13:42.970Z - info: Checking if password expired 2018-11-27T09:13:44.350Z - info: Banner from server, VMware vCenter Server Appliance 6.5.0.5200 Type: vCenter Server with an embedded Platform Services Controller 2018-11-27T09:13:44.350Z - info: Connection ready 2018-11-27T09:13:44.399Z - info: STDOUT: date exit 2018-11-27T09:13:44.823Z - info: STDOUT: Connected to service 2018-11-27T09:13:44.840Z - info: STDOUT: * List APIs: "help api list" * List Plugins: "help pi list" * Launch BASH: "shell" 2018-11-27T09:13:44.843Z - info: STDOUT: Command> 2018-11-27T09:13:44.844Z - info: STDOUT: dat 2018-11-27T09:13:44.844Z - info: STDOUT: e 2018-11-27T09:13:44.861Z - info: STDOUT: Unknown command: `date' 2018-11-27T09:13:44.861Z - info: STDOUT: Command> 2018-11-27T09:13:44.861Z - info: STDOUT: e 2018-11-27T09:13:44.862Z - info: STDOUT: x 2018-11-27T09:13:44.862Z - info: STDOUT: i 2018-11-27T09:13:44.863Z - info: STDOUT: t 2018-11-27T09:13:44.863Z - info: STDOUT:

原因は root のパスワードの有効期限切れ

仕方がないので、手動で vCSA に ssh でログインして、シェルを bash に切り替えてみようとしたら、パスワードの有効期限が切れているというエラーが
いわれた通りに passwd コマンドで root のパスワードを付け替えたところ、インストーラーもエラーを吐かなくなって無事アップデートすることができました。

Last login: Tue Nov 27 09:26:40 2018 from 192.168.0.1 Connected to service * List APIs: "help api list" * List Plugins: "help pi list" * Launch BASH: "shell" Command> shell.set --enabled true Command> shell Shell access is granted to root root@vcsa02 [ ~ ]# chsh -s /bin/bash root You are required to change your password immediately (root enforced) chsh: PAM: Authentication token is no longer valid; new one required

トラックバックについて
Trackback URL:
お気軽にどうぞ。トラックバック前にポリシーをお読みください。[policy]
このエントリへのTrackbackにはこのURLが必要です→https://blog.cles.jp/item/10601
Trackbacks
このエントリにトラックバックはありません
Comments
愛のあるツッコミをお気軽にどうぞ。[policy]
古いエントリについてはコメント制御しているため、即時に反映されないことがあります。
コメントはありません
Comments Form

OpenID を使ってログインすることができます。

Identity URL: Yahoo! JAPAN IDでログイン